package cmdVM

import (
	nc "gitedu.hesge.ch/flg_projects/nexus_vdi/nexus/libclient/nexusclient"
	u "gitedu.hesge.ch/flg_projects/nexus_vdi/nexus/nexush/utils"
)

type Del struct {
	Name string
}

func (cmd *Del) GetName() string {
	return cmd.Name
}

func (cmd *Del) GetDesc() []string {
	return []string{
		"Deletes one or more VMs.",
		"If not the VM's owner: requires VM_DESTROY VM access capability or VM_DESTROY_ANY user capability."}
}

func (cmd *Del) PrintUsage() {
	printRegexUsage(cmd)
	printRegexUsageDetails()
}

func (cmd *Del) Run(client *nc.NexusClient, args []string) int {
	argc := len(args)
	if argc < 1 {
		cmd.PrintUsage()
		return 1
	}

	vms, err := getFilteredVMs(client.GetDelVMs, args)
	if err != nil {
		u.PrintlnErr(err)
		return 1
	}

	if len(vms) == 0 {
		u.PrintlnErr("Error: VM(s) not found.")
		return 1
	}

	statusCode := 0

	for _, vm := range vms {
		err := client.VMDel(vm.ID.String())
		if err != nil {
			u.PrintlnErr(err)
			statusCode = 1
		} else {
			u.Println("Deleted VM \"" + vm.Name + "\"")
		}
	}

	return statusCode
}
