package logger

import (
	"sync"

	"github.com/sirupsen/logrus"
)

var log *logrus.Logger
var once sync.Once

func GetInstance() *logrus.Logger {
	once.Do(func() {
		log = logrus.New()
		//log.SetReportCaller(true)
		log.SetFormatter(&logrus.TextFormatter{
			//FullTimestamp: true,
			DisableTimestamp: true,
		})
	})
	return log
}

// Examples of log level usage:
// log.Debug("Test Debug")
// log.Info("Test Info")
// log.Warn("Test Warn")
// log.Error("Test Error")
// log.Fatal("Test Fatal")
